Lavalite package that provides nonbillactivity management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/nonbillactivity`.

    "litepci/nonbillactivity": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider::class,

And also add it to alias

    'Nonbillactivity'  => Litepci\Nonbillactivity\Facades\Nonbillactivity::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\NonbillactivityTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/nonbillactivity/{modulename}

**User**

    http://path-to-route-folder/user/nonbillactivity/{modulename}

**Public**

    http://path-to-route-folder/nonbillactivities


### API endpoints

**List**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/nonbillactivity/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/nonbillactivity/{modulename}/{slug}
    METHOD: GET